Subject: Re: cygwin.dll
From: [email-masked] (Bill Petheram)

17 Jan 1997 02:49:57 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (Win95; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Brad Rust - Fe2O3 wrote:
> 
> As far as Hello World goes,... it is calling a DLL (Dynamic Link Library)
> distributed with Windows.  If you didn't have a 60+ MB windows directory
> with a butt-load of DLL's then you wouldn't be able to have a 17K hello
> world app.  If you write MFC (Microsoft Foundation Class) code, you have
> to distribute the MFC DLLs since they don't come with windows.  But, since
> you probably have installed MFC programs before, you probably already have
> those DLLs in your windows directory <== that was an example BTW.
> 
> Anyway, having a cygnus DLL is just fine IMHO since that's the way
> applications should access libraries.  Almost every system I know of uses
> Dynamic Linking.
> 
> As far as conflicts go, I didn't have any problems.  RTFM.  There are several
> things to configure that aren't really documented nicely but since it's
> BETA, get off their back.  They are doing a wonderful job.
> 
> a satisfied ,
> brad
> 

Yes EXACTLY. One thing I can't stand with Windows is every
package that is installed can write over any DLL it sees fit in the
SYSTEM directory. In fact that is how Microsoft distribute system
updates. DLL consistency is a Major problem on Windows that is
my every package has to put DLLs in its installation.

If you want smaller DLLs then modify the Makefiles. It's easy :-).

another very satisfied cygnus-gnuwin32 user,
bill
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".